Subject: Re: linux-next: Signed-off-by missing for commit in the drm-misc tree

From: Stephen Rothwell <[email-masked]>
Date: Tue, 14 Nov 2023 13:45:06 +1100

Hi Luben,

On Mon, 13 Nov 2023 20:32:40 -0500 Luben Tuikov <[email-masked]> wrote:
>
> On 2023-11-13 20:08, Luben Tuikov wrote:
> > On 2023-11-13 15:55, Stephen Rothwell wrote:  
> >> Hi all,
> >>
> >> Commit
> >>
> >>   0da611a87021 ("dma-buf: add dma_fence_timestamp helper")
> >>
> >> is missing a Signed-off-by from its committer.
> >>  
> > 
> > In order to merge the scheduler changes necessary for the Xe driver, those changes
> > were based on drm-tip, which included this change from drm-misc-fixes, but which
> > wasn't present in drm-misc-next.
> > 
> > I didn't want to create a merge conflict between drm-misc-next and drm-misc-fixes,
> > when pulling that change from drm-misc-next to drm-misc-fixes, so that I can apply  
> 
> ... when pulling that change from from drm-misc-fixes into drm-misc-next, so that I can apply...
> 
> > the Xe scheduler changes on top of drm-misc-next.  
> 
> The change in drm-misc-fixes is b83ce9cb4a465b. The latter is contained
> in linus-master, and in drm-misc-fixes, while the former is in drm-misc-next.
> When we merge linus-master/drm-misc-fixes into drm-misc-next, or whichever way
> it happens, I'd like to avoid a merge conflict, but wanted to expedite the changes
> for Xe.

None of that is relevant ... if you commit a patch to a tree that will
be in the linux kernel tree, you must add your Signed-off-by to the commit.
-- 
Cheers,
Stephen Rothwell